# List payment methods

Retrieve a list of payment methods associated with a Moov account. Read our [payment methods guide](https://docs.moov.io/guides/money-movement/payment-methods/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/payment-methods.read` scope.

## Request
### GET

```
/accounts/{accountID}/payment-methods
```

### Example CURL
```shell
curl -X GET "https://api.moov.io/accounts/{accountID}/payment-methods" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"
```

### Go Example
```go
mc, _ := moov.NewClient()

var accountID string

mc.ListPaymentMethods(ctx, accountID)
```

### TypeScript Example
```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.paymentMethods.list({
    accountID: "f5503781-dfe4-4bcd-9487-5b5fe2b4d53b",
  });

console.log(result);
}

run();
```

### PHP Example
```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\
